/** 
 *   Site testing for SKA candidate.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _ROTADOR_H
#define _ROTADOR_H

/* Time for waiting response in seconds */
#define ROTATOR_TIME_OUT 40

/* for GET_STATUS: */
#define ST_MASK   0x7f
#define ST_AZ_EN  0x01
#define ST_AZ_CCW 0x02
#define ST_POL_EN 0x04
#define ST_POL_H  0x08 
#define ST_IN_POS 0x10
#define ST_CON_M  0x20
#define ST_ON     0x40

/* for SET_CONTROL: */
#define CT_MASK  0x73
#define CT_AZ_EN 0x01
#define CT_PO_EN 0x02
#define CT_RESET 0x10
#define CT_CONS  0x20
#define CT_PW_ON 0x40

int rotador_setup(char *name);

int rotador_set_control(int fd, char ctrl);
int rotador_get_status(int fd, char *status);

int rotador_set_azimut(int fd, int az);
int rotador_get_azimut(int fd, int *az);

int rotador_set_polarization(int fd, char pol);
int rotador_get_polarization(int fd, char *pol);

int rotador_set_velocity(int fd, int vel);



#endif /* ifndef _ROTADOR_H */

